Class | OptionParser::Switch::RequiredArgument
In: | optparse.rb
Parent: | self

Switch that takes an argument.

### Methods

parse

### Public Instance methods

parse(arg, argv)

Raises an exception if argument is not present.

[Source]

    # File optparse.rb, line 444
          def parse(arg, argv)
            unless arg
              raise MissingArgument if argv.empty?
              arg = argv.shift
            end
            conv_arg(*parse_arg(arg) {|*exc| raise(*exc)})
          end

[Validate]